Uploaded image for project: 'CFEngine Community'
  1. CFEngine Community
  2. CFE-2718

For 3.13 LTS, deprecate debian-4 and CentOS-4 builds

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Open
    • Priority: Medium
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: None
    • Labels:

      Description

      Our base platforms for linux CFEngine agent builds are CentOS-4 and Debian-4. These are very old platforms, unsupported, and are impossible to find on the Cloud. As a result a lot of time is consumed to keep them running in the Cloud, using hacks.

      I suggest that for 3.13 LTS we remove these platforms, and the base agent Linux builds are on

      • Centos-5
      • Debian-7

      Of course CFEngine 3.10 LTS will keep getting updates on Debian-4 and CentOS-4. This is only for CFEngine 3.13 LTS.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                a10003 Eystein Maloy Stenberg
                Reporter:
                a10038 jimis (Dimitrios Apostolou)
              • Votes:
                1 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:

                  Summary Panel